Package ru.bitel.oss.kernel.entity.common.bean

# Enum EntitySpecAttrType

java.lang.Object
java.lang.Enum<EntitySpecAttrType>
ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttrType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<EntitySpecAttrType>`, `java.lang.constant.Constable`, `GuiTitlable`

    public enum EntitySpecAttrType
    extends java.lang.Enum<EntitySpecAttrType>
    implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ADDRESS` |
  `BOOLEAN` |
  `CONTRACT` |
  `DATE` |
  `EMAIL` |
  `ENTITY` |
  `HOUSE` |
  `INT` |
  `LIST` |
  `LONG` |
  `MULTILIST` |
  `PERIOD` |
  `PHONE` |
  `SEPARATOR` |
  `SERVICING_PERSON` |
  `TEXT` |
  `UNKNOWN` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` |
  `static EntitySpecAttrType` | `getEntitySpecAttrType​(int code)` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getTypeName()` |
  `java.lang.String` | `getTypeTitle()` |
  `void` | `setCode​(int code)` |
  `void` | `setTypeName​(java.lang.String typeName)` |
  `void` | `setTypeTitle​(java.lang.String typeTitle)` |
  `java.lang.String` | `toString()` |
  `static EntitySpecAttrType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static EntitySpecAttrType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SEPARATOR

    public static final EntitySpecAttrType SEPARATOR

  - ### UNKNOWN

    public static final EntitySpecAttrType UNKNOWN

  - ### TEXT

    public static final EntitySpecAttrType TEXT

  - ### INT

    public static final EntitySpecAttrType INT

  - ### BOOLEAN

    public static final EntitySpecAttrType BOOLEAN

  - ### LIST

    public static final EntitySpecAttrType LIST

  - ### DATE

    public static final EntitySpecAttrType DATE

  - ### PERIOD

    public static final EntitySpecAttrType PERIOD

  - ### HOUSE

    public static final EntitySpecAttrType HOUSE

  - ### ADDRESS

    public static final EntitySpecAttrType ADDRESS

  - ### EMAIL

    public static final EntitySpecAttrType EMAIL

  - ### PHONE

    public static final EntitySpecAttrType PHONE

  - ### MULTILIST

    public static final EntitySpecAttrType MULTILIST

  - ### LONG

    public static final EntitySpecAttrType LONG

  - ### ENTITY

    public static final EntitySpecAttrType ENTITY

  - ### CONTRACT

    public static final EntitySpecAttrType CONTRACT

  - ### SERVICING_PERSON

    public static final EntitySpecAttrType SERVICING_PERSON

- ## Method Details

  - ### values

    public static EntitySpecAttrType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EntitySpecAttrType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### setCode

    public void setCode​(int code)

  - ### getTypeName

    public java.lang.String getTypeName()

  - ### setTypeName

    public void setTypeName​(java.lang.String typeName)

  - ### getTypeTitle

    public java.lang.String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle​(java.lang.String typeTitle)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Enum<EntitySpecAttrType>`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getEntitySpecAttrType

    public static EntitySpecAttrType getEntitySpecAttrType​(int code)